Subject: (3 Oct 94) Computer Graphics Resource Listing : BIWEEKLY [part 5/6]

From: [email-masked] (Nick C. Fotis)
Date: Mon, 3 Oct 1994 17:20:32 GMT

Archive-name: graphics/resources-list/part5
Last-modified: 1994/10/03

Computer Graphics Resource Listing : BIWEEKLY POSTING [ PART 5/6 ]
=====================================================
Last Change : 3 Octomber 1994

Subject:
16. Scientific visualization stuff
==================================

X Data Slice (xds)
-------------------
  Bundled with the X11 distribution from MIT,
  in the contrib directory. Available at ftp.ncsa.uiuc.edu [141.142.20.50]
  (either as a source or binaries for various platforms).

National Center for Supercomputing Applications (NCSA) Tool Suite
-----------------------------------------------------------------

Platforms: Unix Workstations (DEC, IBM, SGI, Sun)
           Apple MacIntosh
           Cray supercomputers

Availability: Now available.  Source code in the public domain.
              FTP from ftp.ncsa.uiuc.edu.

Contact: National Center for Supercomputing Applications
         Computing Applications Building
         605 E. Springfield Ave.
         Champaign, IL 61820

Cost: Free (zero dollars).

The suite includes tools for 2D image and 3D scene analysis and visualization.
The code is actively maintained and updated.

Spyglass
--------
  They sell commercial versions of the NCSA tools. Examples are:

	Spyglass Dicer (3D volumetric data analysis package)
		Platform: Mac

	Spyglass Transform (2D data analysis package)
		Platforms: Mac, SGI, Sun, DEC, HP, IBM

  Contact:
  Spyglass, Inc.
  P.O. Box 6388
  Champaign, IL  61826
  (217) 355-6000

KHOROS 1.0 Patch 5
------------------
  Available via anonymous ftp at pprg.eece.unm.edu (129.24.24.10).
  cd to /pub/khoros to see what is available. It is HUGE (> 100 MB), but good.
  Needs Unix and X11R4. Freely copied (NOT PD), complete with sources
  and docs. Very extensive and at its heart is visual programming.
  Khoros components include a visual programming language, code
  generators for extending the visual language and adding new application
  packages to the system, an interactive user interface editor, an
  interactive image display package, an extensive library of image and
  signal processing routines, and 2D/3D plotting packages.

  See comp.soft-sys.khoros on Usenet and the relative FAQ for more info....

  Contact:

  The Khoros Group
  Room 110 EECE Dept.
  University of New Mexico
  Albuquerque, NM 87131

  Email: [email-masked]

MacPhase
--------
  Analysis & Visualization Application for the Macintosh.
  Operates on 1D and 2D data arrays. Import/Export several different file
  formats.  Several different plotting options such as gray scale,
  color raster, 3D Wire frame, 3D surface, contour, vector, line, and
  combinations.  FFTs, filtering, and other math functions, color look up
  editor, array calculator, etc. Shareware, available via anonymous ftp from
  sumex-aim.stanford.edu in the info-mac/app directory.
  For other information contact Doug Norton (e-mail: 74017.461@@compuserve.com)

IRIS Explorer
-------------
From: Jeremy Walton <[email-masked]>

  IRIS Explorer is an application creation system developed by Silicon
  Graphics that provides visualisation and analysis functionality for
  computational scientists, engineers and other scientists.  The IRIS 
  Explorer GUI allows users to build custom applications without having 
  to write any, or a minimal amount of, traditional code.  Also, existing 
  code can be easily integrated into the IRIS Explorer environment. 

  Platforms: SGI, Cray, SPARC, DEC, IBM, HP.
    The SPARC ports have been done by DuPont Pixel and by Numerical 
    Algorithms Group (NAG) Ltd;  NAG are also porting IRIS Explorer to
    IBM RS/6000, HP 9000 series 700 and DEC Alpha.

  Availability: Available now on SGI, Cray and SPARC.  Other versions
    to be announced soon.

  Contact: IRIS Explorer Center for details of availability and 
    distribution information, and for user support and other technical
    enquiries:

		IRIS Explorer Center (Europe)          
		PO Box 50                              
		OXFORD                                 
		OX2 8JU 
		UK                             
		Tel    : +44 (0)865 516377             
		Fax    : +44 (0)865 516388             
		e-mail : [email-masked]            

		IRIS Explorer Center (North America)
		1400 Opus Place, Suite 200
		Downers Grove, IL 60515-5702
		USA
		Tel    : +1 708 971 2367
		Fax    : +1 708 971 2706  
		e-mail : [email-masked]

  More information: The IRIS Explorer Center runs a Gopher server, 
    containing technical information and advice, technical 
    papers and User Group details:

		Name = IRIS Explorer Center Bulletin Board
		Type = 1
		Path = 1/visual/IE/iecbb
		Host = nags2.nag.co.uk [192.156.217.7]
		Port = 70
    
    This service is also available via World Wide Web:

		http://nags2.nag.co.uk/Welcome_IEC.html

    The explorer ftp site is ftp.epcc.ed.ac.uk which is housed at 
    Edinburgh Parallel Computing Centre.  The administrator is Gordon Cameron.
    This archive is mirrored in the USA by swedishchef.lerc.nasa.gov, 
    administered by Jeff Hanson.

  Newsgroups: comp.graphics.explorer, comp.sys.sgi.graphics

apE
---
  Back in the 'old good days', you could get apE for nearly free.
  Now has gone commercial and the following vendor supplies it:

  TaraVisual Corporation
  929 Harrison Avenue
  Columbus, Ohio 43215
  Tel: 1-800-458-8731 and (614) 291-2912
  Fax: (614) 291-2867

        Cost:
  $895 (plus tax); runtime version with a site-license for a single user
  (at a time), no limit on the number of machines in a cluster.
  $895 includes support/maintenance and upgrades.
  Source code more.  Additional user licenses $360.

  The name of the package has become apE III (TM).
  Khoros is very similar to apE on philosophy, as are AVS and Explorer.

AVS
---
See also:
        comp.graphics.avs

Platforms: CONVEX, CRAY, DEC, Evans & Sutherland, HP, IBM, Kubota,
Set Technologies, SGI, Stardent, SUN, Wavetracer
Availability: AVS4 available on all the above:
  For all UNIX workstations.

Contact:
  Advanced Visual Systems Inc.
  300 Fifth Ave.
  Waltham, MA    02154

  (617)-890-4300   Telephone
  (617)-890-8287   Fax
  [email-masked]      Email

  Advanced Visual Systems Inc. for: CRAY, HP, IBM, SGI, Stardent, SUN
  CONVEX for CONVEX
  Advanced Visual Systems Inc. or CRAY for CRAY
  DEC for DEC
  Evans & Sutherland for Evans & Sutherland
  Advanced Visual Systems Inc. or IBM for IBM
  Kubota Pacific Inc. for Kubota
  Set Technologies for Set Technologies
  Wavetracer for Wavetracer

  FTP Site: for modules, data sets, other info:
	avs.ncsc.org (128.109.178.23)

WiT (changed spelling!)
---
  In a nutshell it's a package of the same genre as AVS,Explorer,etc.
  It seems more a image processing system than a generic SciVi system (IMHO)
  Major elements are:

  - a visual programming language, which automatically exploits the inherent
        parallelism
  - a code generator which converts the graph to a standalone program

  Iconified libraries present a rich set of point, filter, io, transform,
  morphological, segmentation, and measurement operations.
  A flow library allows graphs to employ broadcast, merge,
  synchronization, conditional, and sequencing control strategies.

  WiT delivers an object-oriented, distributed, visual programming
  environment which allows users to rapidly design solutions to their
  imaging problems. Users can consolidate both software and hardware
  developments within a complete CAD-like workspace by adding their
  own operators (C functions), objects (data structures), and servers
  (specialized hardware).
  WiT 5.0 will be available towards the beginning of the last quarter '94
  and will include support for multi-dimensional image processing,
  3D volume slicing and viewing, and 3D ROI entry.

  WiT runs on Sun SPARCs (SunOS 4.X, Solaris 2.3),
  Linux, and Windows 3.1/NT. It also supports Datacube MV-200 and Digicolor
  hardware, allowing you to run your graphs in real-time (available from
  Datacube under the product name WiTFlow)

  For a free WiT demo disk, call, FAX, or e-mail ([email-masked])
  us stating your complete name, address, voice, FAX, e-mail info.
  and desired platform.
  There's an FTP'able demo for SPARCs under
  sunsite.unc.edu /pub/sun-info/catalyst/logical-vision

  Pricing:
  WiT for Sparc, one yr. free upgrades, 30 days
  technical support....................$5000 US
  Entry level pricing now at $1000 US, with upgrade to the full system
  for $4000 US more.
  WiT for Windows 3.1/NT: starts at US $1800.00. They recommend the Watcom C
  10.0 32-bit compiler to support code development.

  Academic institutions: discounts available

  Contact:
  Logical Vision Ltd.
  Suite 108-3700 Gilmore Way
  Burnaby, B.C., CANADA
  V5G 4M1
  Tel: 604-435-2587
  Fax: 604-435-8840
  e-mail: Terry Arden <[email-masked]>

#VIS-AD
------
+[ Former VIS-5D ]
+
+  A system for interactively visualizing and steering scientific computations.
+  This system provides:
+  
+   * An interactive computational environment combining a flexible
+     interpreted language with linkages to Fortran and C.
+
+   * A data model that lets users design data types appropriate
+     to their applications.
+
+   * A novel and flexible way to visualize computations.
+
+  VIS-AD includes a large number of example programs and data sets
+  that demonstrate its flexibility.  While it has been developed
+  primarily to meet the needs of environmental scientists, its
+  flexibility makes it useful to any scientists who develop
+  algorithms or use computers to analyze data.
+
+  Version 1.1 adds support for a greater variety of map projections
+  than were available under Version 1.0, and support for user-defined
+  map projections (in VIS-AD these are called sample sets and are
+  finite samplings of 1-D, 2-D or 3-D real spaces).
+
+  Version 1.1 of VIS-AD runs on Silicon Graphics workstation.
+  Later versions will be ported to other vendors' workstations.
+
+  You can get it with:
  ftp iris.ssec.wisc.edu  (or ftp 144.92.108.63), then

+  ftp> cd pub/visad
+  ftp> ascii
+  ftp> get README
+  ftp> binary
+  ftp> get visad.1.1.tar.Z
+  ftp> bye

  Contact:
+  Bill Hibbard ([email-masked])
+  Brian Paul ([email-masked])
+  Space Science and Engineering Center
+  University of Wisconsin - Madison
+  1225 W. Dayton St.
+  Madison, WI  53706

IBM DATAexplorer 
----------------

  Platforms :	IBM Risc System 6000,
		IBM POWER Visualization Server (SIMD mesh 32 i860s, 40 MHz),
		SGI, HP, Sun

	Contact:
	Keith Sams
	Data Explorer Product Marketing
	E-mail: [email-masked] or KSAMS AT DALVMIC1
	214-280-1412

	To order, call:
	1-800-IBM-CALL : Commercial customers
	1-800-333-6705 : Federal customers

	Repository: Contributed modules, macros, data sets and other information
	Anonymous ftp -
		ftp info.tc.cornell.edu (cd /pub/vis/Data.Explorer)
	Gopher -
		telnet info.tc.cornell.edu (login as user info)
	Mailing-list at [email-masked]

	Cost: $5900 node locked license
	- A free trial version is available (contact Keith Sams)
	- Discounts are available as follows:
	IBM Higher Education Software Consortium
	Single user educational discount
	GSA contract GS00K92AGS5541,  Option YR 1
	Volume discounts

Wavefront
---------
  Data Visualizer, Personal Visualizer, Advanced Visualizer.
  Platforms: SGI, SUN, IBM RS6000, HP
  DEC is not supported anymore

  Availability:
    Available on all the above platforms from Wavefront
    Technologies.  Educational programs and site licenses are
    available.

  Contacts:
    Mike Wilson ([email-masked])

    Wavefront Technologies, Inc.
    530 East Montecito Street
    Santa Barbara, CA 93103
    805-962-8117
    FAX: 805-963-0410

    Wavefront Europe
    Guldenspoorstraat 21-23
    B-9000 Gent, Belgium
    32-91-25-45-55
    FAX: 32-91-23-44-56

    Wavefront Technologies Japan
    17F Shinjuku-sumitomo Bldg
    2-6-1  Nishi-shinjuku, Shunjuku-Ku
    Tokyo 168 Japan
    81-3-3342-7330
    FAX 81-3-3342-7353

PLOT3D and FAST from NASA Ames
------------------------------

Flow Analysis Software Toolkit (FAST)
-------------------------------------
[ Call COSMIC, NASA's software ditribution center for details ]

+ You can get information from the NASA via the World Wide Web:
+http://www.nas.nasa.gov/FAST/fast.html

OVERVIEW

	FAST is currently under development by members of the
	Numerical Aerodynamics Simulation (NAS) Division at NASA Ames
	Research Center, Moffett Field, CA 94035-1000.  It is a
	software environment for analyzing 3D data. FAST consists of a
	collection of separate programs (modules) that run
	simultaneously and allow the user to examine the results of
	numerical simulations by loading data files, performing
	calculations on the data, visualizing the results of these
	calculations, and constructing scenes of 3D graphical objects
	that may be animated and recorded.

	The approach used in FAST is to create an environment of
	compatable, minimally overlapping modules, each with its own
	purpose and functionality, but with the ability to share its
	data with the other modules. All of the modules in the FAST
	environment have a consistent, easy-to-use, highly interactive
	user interface (using the Panel Library developed at Ames).
	FAST is flexible and extensible: the environment can be custom
	configured and new modules can be developed and added to it.
	Note that FAST is not a visual programming environment, it is
	a multi-processed visualization and animation tool.

EXISTING MODULES

	The following modules are available in this version of FAST:

	HUB             Central ipc and shared memory manager starts modules.
	VIEWER          Viewing process for the FAST environment.
	FILE IO         Loads grid, solution, function.
	ARCGRAPH        Draws ARCGraph graphics metafiles.
	FILE IO         Loads grid, solution, function.
	ARCGRAPH        Draws ARCGraph graphics metafiles.
	CALCULATOR      CFD Calculator computes scalar and vector fields.
	SURFER          Draws surfaces of a structured grid.
	SURFERU         Draws surfaces of an unstructured grid.
	TRACER          Computes partical traces through the structured
		        or unstructured vector field.
	ISOLEV          Draws xyz cutting plane and contour surfaces for a
		        structured grid.
	ISOLEVU         Draws xyz cutting plane and contour surfaces for a
		        unstructured grid.
	TOPOLOGY        Extracts critical points in vector field.
	SHOTET          Draws selected tetrahedra of an unstructured grid.
	PLOTTER         Plots xy graphs of scalar functions.
	TITLER          Text title editor for adding titles to graphics.
	AUDIO           Produces sound from scalar data.
	IMAGER          Draws raster files (image format).

HOW TO GET FAST

GENERAL USERS

	Contact COSMIC
	phone   (706) 542-3265
	fax     (706) 542-4807
	email   [email-masked]

	COST:
	User Guide......................   $72
	Source code: 
	For commercial customers........ $2000
	For educational institutions.... $ 200
	For FAST commercial Beta sites.. $ 500
	For NASA sites.................. $   0 

	NASA sites: Place orders through your NASA contract monitor (for a 
	contractor) or through your local Technology Utilization Office (for 
	NASA employees). COSMIC does not charge for programs and documentation 
	used exclusively in support of a NASA project.

	FAST and derivative products may not be distributed internationally.*

	Institutions receiving FAST at the educational price must agree not to 
	distribute the program beyond their site. This restriction does not 
	apply if users pay the commercial price for the code.

NUMERICAL AERODYNAMIC SIMULATION (NAS) SYSTEM USERS

	See nasinfo or send email to [email-masked]

FAST USER GROUP

	To join the FAST user group and receive tips and important
	announcements about FAST, send your email address to:
	[email-masked]

SUPPORT

	Email questions, comments and suggestions to: [email-masked]
______________________________________________________________________________
*A waiver may be granted for US institutions or US companies performing work 
outside the US on a US Gov't contract.  Send written request to NASA HQTRS 
(Attn: Ray Rose, Technology Transfer Control, Office of Aeronautics)
from your Gov't Contract Officer Representative and from the Program Manager
or the Technical Monitors of the Gov't project.

XGRAPH
------
  On the contrib tape of X11R5. Its specialty is display of up
  to 64 data sets (2D).

NCAR
----
  National Center for Atmospheric Research. One of the original graphics
  packages. Runs on Sun, RS6000, SGI, VAX, Cray Y-MP, DecStations, and more.

  Contact:
	Graphics Information
	NCAR Scientific Computing Division
	P.O. Box 3000
	Boulder, CO   80307-3000
	(303)-497-1201
	[email-masked]

  Cost:
	.edu
	$750 Unlimited users

	.gov
	$750 1 user
	$1500 5 users
	$3000 25 users

	.com users multiply .gov * 2.0

IDL
---
  An environment for scientific computing and visualization.
  Based on an array oriented language, IDL includes 2D and 3D
  graphics, matrix manupulation, signal and image processing,
  basic statistics, gridding, mapping, and a widget based system
  for building GUI for IDL applications (Open Look, Motif, or
  MS-Windows).

  Environments:  DEC (VMS and Ultrix), HP, IBM RS6000, SGI, Sun,
          Microsoft Windows.  (Mac version in progress)
  Cost:  $1500 to $3750, Educational and quantity discounts
          available.

  See also:   comp.lang.idl-pvwave (the IDL-PVWAVE bundle)

  Contact:    Research Systems Inc.
              777 29th Street, Suite 302
              Boulder, CO  80303
              Phone:  303-786-9900
              FAX:    303-786-9909
              E-mail: [email-masked]

  Demo available via FTP.  Call or E-mail for details.

IDL/SIPS
--------
  "A lot of people are using IDL with a package called SIPS. This was
  developed at the University of Colorado (Boulder) by some people working
  for Alex Goetz.  You might try contacting them if you already have IDL
  or would be willing to buy it.  It's a few thousand dollars (American) I
  expect for IDL and the other should be free.  Those are the general
  purpose packages I've heard of, besides what TerraMar has.
  SIPS _was_ written for AVIRIS imagery.  I'm not sure how general purpose
  it is.  You would have to contact Goetz or one of his people and ask.  I
  have another piece of software (PCW) that does PC and Walsh
  transformations with pseudocoloring and clustering and limited image
  modification (you can compute an image using selected components).  I've
  used it on 70 megabyte AVIRIS images without problems, but for the best
  speed you need an external DSP card.  It will work without it, but large
  images take quite a while (50-70 times as long) to process.  That's a
  freebie if you want it"

  "My  favorite is IDL (Interactive Data Language) from Research Systems,
  Inc.  IDL is in my opinion, much better and infinitely easier. Its
  programming language is very strong and easy -- very Pascal-like. It
  handles the number-crunching very well, also. Personally, I like doing
  the number-crunching with IDL on the VAX (or Mathematica, Igor, or even
  Excel on the Mac if it's not too hairy), then bringing it over to NIH
  Image for the imaging part. I have yet to encounter any situation which
  that combination couldn't handle, and the speed and ease of use
  (compared to IRAF) was incredible. By the way, it's mostly astronomical
  image processing which I've been doing. This means image enhancement,
  cleaning up bad lines/pixels, and some other traditional image
  processing routines. Then, for example, taking a graph of intensity
  versus position along a line I choose with the mouse, then doing a curve
  fit to that line (which I might do like in KaleidaGraph.) "

[ For IDL call Research Systems , for PV-WAVE call Precision Visuals and
 for SIPS call University of Colorado @ Boulder . From what I can
 understand, you can get packaged programs from Research Systems, though
 -- nfotis ]

IDL - PV-WAVE
-------------

The PV-WAVE family of products uses powerful visual and numerical analysis
techniques to reduce large, complex data sets into easily interpreted visual
plots and displays; for faster more effective decision making.

PV-WAVE (Workstation Analysis and Visualization Environment) is the industry
leading 4GL for Visual Data Analysis (VDA).  PV-WAVE integrates powerful
plotting and charting, volume visualization, signal and image processing,
advanced numerical and statistical analysis, flexible data input and output,
and much more, all in an efficient and integrated software system.  PV-WAVE
makes it easy to find key trends and relationships in your data by allowing
you to distill raw data into meaningful information quickly.

Products:       PV-WAVE Advantage - PV-WAVE Command Language with additional
		        commands to access the IMSL C/Math and C/Stat libraries
		        directly
		PV-WAVE Command Language - the basic 4GL for VDA
		PV-WAVE Point & Click - PV-WAVE functionality accessed via a
		        Graphical User Interface (GUI)

Modules:	NOTE: All modules are compatible with PV-WAVE Advantage and
		        PV-WAVE Command Language.
		PV-WAVE:GTGRID - gridding capabilities beyond the basic products
		PV-WAVE:Maple - ability to interact with a Maple (symbolic
		        mathematics) session
		PV-WAVE:Database Connection - read data directly from Sybase or
		        Oracle databases

Environments:   Sun (SunOS and Solaris), HP700, SGI, IBM RS6000,
		DEC (OpenVMS VAX, OpenVMS AXP, OSF/1 AXP and ULTRIX),
		Windows NT (Intel, Mips, DEC AlphaPC), Windows v3.1

See also:       comp.lang.idl-pvwave

Contact:	Visual Numerics, Inc.
		6230 Lookout Road
		Boulder, CO  80301
		(303) 530-9000 (phone)
		(303) 530-9329 (FAX)

EnSight
-------
	   EnSight 5 is in use world-wide by engineers requiring a
	full-featured finite element postprocessing system.  EnSight
	interfaces with all major commercial analysis packages.
	   EnSight is a distributed postprocessor: a server handles I/O
	and compute intensive activities and a client handles all
	user-interface interaction and graphic rendering.  The tasks
	can reside on either the same workstation or two separate
	systems.
	   CEI provides a unique licensing policy for EnSight.  Only the
	server portion is licensed - customers are free to copy the
	client.  The needs of multiple users can therefore be met with
	a single license.

	Platforms:  Server: SGI, HP, DEC Alpha, IBM, Sun, Cray, Convex
		    Client: SGI, HP, DEC Alpha, IBM, Sun

	Availability:
		Server: Available now on all listed platforms
		Client: Available now on SGI, HP, DEC Alpha
		        Available Q2 1994 on IBM and Sun

	Contact:
		Tom Palmer
		Computational Engineering International, Inc.
		P.O. Box 14306
		Research Triangle Park, NC 27709
		(919) 481-4301
		(919) 481-4306 (fax)
		[email-masked] -or- [email-masked]

Visual3
-------
  Visual3 is a visualization system that provides a programmer level
  interface instead of a canned application.  Brief description and
  availability is below.
  Visual3 runs on Stellar, DEC stations, IBM RS/6000, HP and SGI.

  (From the manual):
  VISUAL3 is an interactive graphics environment for the visualization of 
  three-dimensional, structured and/or unstructured data.  This
  volumetric  data may be steady or time varying.

  VISUAL3 deals with three different types of surfaces.  The first 
  category is `domain' surfaces.  These are surfaces which are defined 
  by the application program which initializes VISUAL3, and they 
  typically correspond to the surfaces which bound the computational 
  domain.  A subset of this first class, are `mapped domain' surfaces, 
  for which there is a mapping from points on the surface to an 
  $(x',y')$ coordinate system, which allows plotting of surface 
  quantities in a 2D setting.

  The second category is `dynamic' surfaces.  These are surfaces whose 
  orientation and position, relative to the computational domain, can be 
  changed interactively by the user. Although there are several types of 
  dynamic surface, only one dynamic surface can exist at one time.  Also,
  a dynamic surface cannot be activated when a mapped domain surface is
  being plotted in the 2D window.

  The third category is `static' surfaces.  These are surfaces which 
  at one time were `dynamic', but then were `frozen' and transferred 
  into a database, along with the domain surfaces.  These static 
  surfaces are then treated in almost the same way as the unmapped 
  domain surfaces.

  NOTE:
  Any `static' surface in a `grid unsteady' application deforms with
  the grid movement.  The surface is associated with the cells and
  not physical space.  Therefore, for planar cuts, the data is
  not clipped to the 2D window size when the surface was saved.

  Author: Bob Haimes              email:  [email-masked]
          MIT 37-467              FAX:    (617) 253-0823
          77 Mass Ave             Tel:    (617) 253-7518
          Cambridge, Ma 02139

FieldView
---------
 An interactive program designed to assist an engineer in
 investigating fluid dynamics data sets.          

 Platforms:  SGI, IBM, HP, SUN, X-terminals

 Availability:  Currently available on all of the above
       platforms.  Educational programs and volume 
       discounts are available.

 Contact:

 Intelligent Light 
 P.O. Box 65
 Fair Lawn, NJ 07410
 (201)794-7550
        
 Steve Kramer ([email-masked])

SciAn
------
  SciAn is primarily intended to do 3-D visualizations of data in an 
  interactive environment with the ability to generate animations using
  frame-accurate video recording devices.  A user manual, on-line help, and
  technical notes will help you use the program.

  Cost : 0 (Free), source code provided via ftp.
  Platforms : SGI 4D machines and IBM RS/6000 with the GL card + Z-buffer

  Where to find it:
  ftp.scri.fsu.edu [144.174.128.34] : /pub/SciAn
	A mirror is monu1.cc.monash.edu.au [130.194.1.101] : /pub/SciAn

SCRY
----
[ From the README : ]

      Scry is a distributed image handling system  that  pro-
 vides image transport and compression on local and wide area
 networks, image viewing on workstations, recording on  video
 equipment,  and  storage on disk.  The system can be distri-
 buted among workstations, between supercomputers and  works-
 tations,  and between supercomputers, workstations and video
 animation controllers.  The system is most commonly used  to
 produce  video based movie displays of images resulting from
 visualization of time dependent data, complex 3D data  sets,
 and  image  processing  operations.   Both  the  clients and
 servers run on a variety of systems that provide UNIX-like C
 run-time environments, and 4BSD sockets.
 
 The source is available for anonymous ftp:
 
 george.lbl.gov [128.3.196.93] : pub/scry.tar.Z
 
 Contact:
 
 Bill Johnston, ([email-masked], ...ucbvax!csam.lbl.gov!johnston)

       or

 David Robertson ([email-masked], ...ucbvax!csam.lbl.gov!davidr)
 
 Imaging Technologies Group
 MS 50B/2239
 Lawrence Berkeley Laboratory
 1 Cyclotron Road
 Berkeley, CA  94720

SVLIB / FVS
-----------
  SVLIB is an X-Windows widget set based on the OSF (Open Software 
  Foundation) Motif widget set. SVLIB widgets are macro-widgets 
  comprising lower level Motif widgets such as buttons, scrollbars, 
  menus, and drawing areas. It is designed to address the reusability 
  of 2D visualization routines and each widget in the library is an 
  encapsulation of a specific visualization technique such as colormap 
  manipulation, image display, and contour plotting. It is targetted
  to run on UNIX workstations supporting OSF/Motif. Currently, only 
  color monitors are supported. Since SVLIB is a collection of widgets 
  developed in the same spirit as the OSF/Motif user interface widget 
  set, it integrates seamlessly with the Motif widgets. Programmers 
  using SVLIB widgets see the same interface and design as other 
  Motif widgets.

  FVS is a visualization software for Computational Fluid Dynamics (CFD) 
  simulations.  FVS is designed to accept data generated from these
  simulations and apply various visualization techniques to present these
  data graphically. 
  FVS accepts three-dimensional multi-block data recorded in NCSA HDF format.

 iti.gov.sg [192.122.132.130] : /pub/svlib (Scientific Visualization)
      /pu/fvs; These directories contain demo binaries for Sun4/SGI

  Cost : US$200 for academic and US$300 for non-academic institutions.
  (For each of the above items). You're getting the source for the licence.

  Contact
  -------
  Miss Quek Lee Hian
  Member of Technical Staff
  Information Technology Institute
  National Computer Board
  NCB Building
  71, Sicence Park Drive
  Singapore 0511
  Republic of Singapore
  Tel : (65)7720435
  Fax : (65)7795966
  Email : [email-masked]

---------------------------------------------------------
GVLware Distribution:
        Bob  - An interactive volume renderer for the SGI
        Raz  - A disk based movie player for the SGI
        Icol - Motif color editor
---------------------------------------------------------

The Army High Performance Computing Research Center (AHPCRC) has been
developing a set of tools to work with large time dependent 2D and 3D
data sets.  In the Graphics and Visualization Lab (GVL) we are using
these tools along side standard packages, such as SGI Explorer and the
Utah Raster Toolkit, to render 3D volumes and create digital movies.
A couple of the more general purpose programs have been bundled into a
package called "GVLware".

GVLware, currently consisting of Bob, Raz and Icol, is now available
via ftp.  The most interesting program is probably Bob, an interactive
volume renderer for the SGI.  Raz streams raster images from disk to
an SGI screen, enabling movies larger than memory to be played.  Icol
is a color map editor that works with Bob and Raz.  Source and
pre-built binaries for IRIX 4.0.5 are included.

To acquire GVLware, anonymous ftp to:
        machine - ftp.arc.umn.edu
        file    - /pub/gvl.tar.Z

To use GVLware:
        mkdir gvl ; cd gvl
        zcat gvl.tar.Z | tar xvf -
        more README

Some Bob features:
        Motif interface, SGI GL rendering
        Renders 64 cubed data set in 0.1 to 1.0 seconds on a VGX
        Alpha Compositing and Maximum Value rendering, in perspective
            (only Maximum Value rendering on Personal Iris)
        Data must be a "Brick of Bytes", on a regularly spaced grid
        Animation, subvolumes, subsampling, stereo

Some Raz features:
        Motif interface, SGI GL rendering
        Loads files to a raw disk partition, then streams to screen
            (requires an empty disk partition to be set aside)
        Script interface available for movie sequences
        Can stream from memory, like NCSA XImage
        
Some Icol features:
        Motif interface
        Easy to create interpolated color maps between key points
        RGB, HSV and YUV color spaces, multiple file formats
        Communicates changes automatically to Bob and Raz
        Has been tested on SGI, Sun, DEC and Cray systems

BTW:    Bob  == Brick of Bytes
        Icol == Interpolated Color
        Raz  == ? (just a name)

Please send any comments to
        [email-masked]

This software collection is supported by the Army Research Office
contract number DAALO3-89-C-0038 with the University of Minnesota Army
High Performance Computing Research Center.

IAP
---
  Imaging Applications Platform is a commercial package for medical and
  scientific visualization. It does volume rendering, binary surface
  rendering, multiplanar reformating, image manipulation, cine sequencing,
  intermixes geometry and text with images and provides measurement and
  coordinate transform abilities.

  It can provide hardcopy on most medical film printers, image database
  functionality and interconnection to most medical (CT/MRI/etc) scanners.

  It is client/server based and provides an object oriented interface. It
  runs on most high performance workstations and takes full advantage of
  parallelism where it is available. It is robust, efficient and
  will be submitted for FDA approval for use in medical applications.

  Cost: $20K for OEM developer, $10K for educational developer
  and run times starting at $8900 and going down based on quantity.

  The developer packages include two days training for two people in Toronto.

  Available from:

  ISG Technologies
  6509 Airport Road
  Mississauga, Ontario,
  Canada, L4V-1S7

  (416) 672-2100
  e-mail: Rod Gilchrist <[email-masked]>

========================================================================

Subject:
17. Molecular visualization stuff
=================================

IMPORTANT NOTE: I'M EXPECTING TO REMOVE THIS PART AND LET ANOTHER ONE
TAKE IT OVER!!!!

From: Didier Vandervecken <[email-masked]>

The FAQ is available on the Computational Chemistry List Server:

1) by anonymous FTP
        ftp infomeister.osc.edu        (or ftp 128.146.36.5)
        Name: anonymous
        Password: your_e-mail_address (please !)
        ftp> cd pub/chemistry/documents
        ftp> get README
        ftp> get molecular_graphics_packages
        ftp> quit

2) by mail
        send a message to  [email-masked]
        the content of the mail would be :
        select chemistry
        get documents/molecular_graphics_packages
        quit

3) by gopher
     (This will be available soon..., it is still undergoing testing).
     The archives are located at infomeister.osc.edu on port 73.
     So you can access them with a command
        gopher infomeister 73
     or similar (depending on your system).

+Envision
+--------
+  Envision is an interactive system for the management and visualization
+  of large scientific data sets.  It runs on UNIX workstations under
+  X/Motif, manages data stored in netCDF and HDF files, and does
+  visualization using NCSA Collage, NCSA XDataSlice, and IDL.
+
+  Envision is public domain software and is available by anonymous FTP.
+  The primary ftp site for Envision is vista.atmos.uiuc.edu in
+  pub/envision.  A secondary FTP site is csrp.tamu.edu.  Included in the
+  release are binaries for IBM RS6000, HP, Sun, and SGI, as well as
+  source and make files.  Complete documentation, sample data, and
+  binaries to generate Envision project files for the sample data are
+  provided.  If you get Envision, we request that you report any bugs
+  you find to [email-masked].
+
+  The Envision Home Page has URL:
+        http://www.atmos.uiuc.edu/envision/envision.html
+
+  The Envision Home Page has:
+        (1) connections to text and graphics about the Envision
+  project and what the software does.
+        (2) links to hypermedia versions of recent Envision papers and
+  a hypermedia presentation on Envision made at the American
+  Meteorological Society / Interactive Information and Processing
+  Systems meeting, Nashville, Jan. 1994.
+        (3) links to hypermedia pages for other software packages used
+  with Envision including HDF, netCDF, Collage, XDataSlice, and IDL.
+        (4) a connection to the new hypertext Envision User's Guide

--------------------------------------------------------------------------

17. Molecular visualization stuff
=================================

[ Based on a list from [email-masked] < Cristy > , which asked for
 systems for displaying Molecular Dynamics, MD for short ]

Flex
----
  It is a public domain package written by Michael Pique, at The Scripps
  Research Institute, La Jolla, CA. Flex is stored as a compressed,
  tar'ed archive (about 3.4MB) at ftp.scripps.edu [137.131.168.6], in
  pub/flex. It displays molecular models and MD trajectories.

MacMolecule
-----------
  (for Macintosh). I searched with Archie, and the most
  promising place is sumex-aim.stanford.edu (info-mac/app, and
  info-mac/art/qt for a demo)

MD-DISPLAY
----------
  Runs on SGI machines. Call Terry Lybrand <[email-masked]>

XtalView
--------
  It is a crystallography package that does visualize molecules and much more.
  It uses the XView toolkit.
  Call Duncan McRee <[email-masked]>

[email-masked]:
-----------------------------
  I am writing my own visualization code right now.  I look at MD output
  (a specific format, easy to alter for the subroutine) on PC's.  My
  program has hooks into GKS.  If your friend has access to Phigs for X
  (PEX) and fortran bindings, I would be happy to share my evolving code
  (free of charge).  Right now it can display supercells of up to 65
  atoms (easy to change), and up to 100 time steps, drawing nearest
  neighbor bonds between 2 defining nn radii.  It works acceptably fast
  on a 10Mhz 286.

[email-masked]:
------------------------------
  I did a project on Molecular Visualization for my Master's Thesis, using
  UNIX/X11/Motif which generates a simple point and space-filling model.

KGNGRAF
-------

KGNGRAF is part of MOTECC-91. Look on malena.crs4.it (156.148.7.12),
in pub/motecc.

motecc.info.txt          Information about MOTECC-91 in plain ascii format.
----------------------------------------------------------------------------
motecc.info.troff        Information about MOTECC-91 in troff format.
motecc.form.troff        MOTECC-91 order form in troff format.
motecc.license.troff     MOTECC-91 license agreement in troff format.
----------------------------------------------------------------------------
motecc.info.ps           Information about MOTECC-91 in PostScript format.
motecc.form.ps           MOTECC-91 order form in PostScript format.
motecc.license.ps        MOTECC-91 license agreement in PostScript format.

[email-masked]:
------------------------
  I'm working on molecular dynamic too.  A friend of mine and I have
  developed a program to display an MD run dynamically on Silicon
  Graphics.  We are working to improve it, but it doesn't work under X,
  we are using the graphi. lib. of the Silicon Gr. because they are much
  faster then X.  When we'll end it we'll post on the news info about
  where to get it with ftp. (Will be free software).

XBall V3.0
----------
  Written by David Nedde. Call [email-masked].
  This program simulates bouncing balls in a window.  You create the
  balls in a variety of ways, and can set the gravity, elasticity,
  whether balls collide or not, etc.
  Includes Motif support, 3-d shaded balls, and a demo running facility.
  [ It's more a demo than a production program - another like it is xgas from
    the X11 distribution. Someone could make something more elaborate with
    polyatomics, etc. ]

XMol
----
  An X Window System program that uses OSF/Motif  for  the
  display and  analysis  of  molecular  model data.  Data from several
  common file formats can be read and written; current formats include:
  Alchemy, CHEMLAB-II, Gaussian, MOLSIM, MOPAC, PDB, and MSCI's XYZ
  format (which has been designed  for  simplicity  in  translating to
  and from other formats). XMol also allows for conversion between
  several of these formats.
  Xmol is available at ftp.msc.edu. Read pub/xmol/README for
  further details.
  MSCI has changed its distribution policy, the current version is
  now available to users outside the USA and it no longer contains a
  built-in expiration date. However, only binary versions for Decstation,
  SGI Iris-4D, IBM RS/6000, Sun SPARCstation and Sun-3 are available.

INSIGHT II
----------
  from BIOSYM Technologies Inc.

SCARECROW
---------
  The program has been published in J. Molecular Graphics 10
  (1992) 33. The program can analyze and display CHARMM, DISCOVER, YASP
  and MUMOD trajectories. The program package contains also software for
  the generation of probe surfaces, proton affinity
  surfaces and molecular orbitals from an extended Huckel program.
  It works on Silicon Graphics machines.
  Contact Leif Laaksonen <[email-masked] or [email-masked]>

MULTI
-----
  ns.niehs.nih.gov [157.98.8.8] : /pub - MULTI 3.0 (Multi-Process
  Molecular Modeling Suite). Runs on Silicon Graphics Workstations only.

MindTool
--------
  It runs under SunView, and requires a fortran compiler and Sun's CGI
  libraries. MindTool is a tool  provided  for  the  interactive  graphic
  manipulation  of  molecules  and  atoms. Currently, up to 10,000
  atoms may be input.
  Available via anonymous FTP, at rani.chem.yale.edu, directory
  /pub/MindTool ( Check with Archie for other  sites if that's too far )

RasMol/RasWin
-------------
    The source code is public domain and freely distributable provided that
  the original author is suitably acknowledged. It's written and maintained by
  Roger Sayle, at The Biocomputing Research Unit, University of Edinburgh,
  UK ([email-masked], or [email-masked]).

  RasMol is the version for UNIX workstations under the X Window System and
  RasWin is the version for MS Windows version 3.1.

    RasMol reads in molecular co-ordinate files in a number of formats and
  interactively displays the molecule on the screen in a variety of colour
  schemes and representations. Currently supported input file formats include
  Brookhaven Protein Databank (PDB), Tripos' Alchemy and Sybyl Mol2 formats,
  Molecular Design Limited's (MDL) Mol file format, Minnesota Supercomputer
  Center's (MSC) XMol XYZ format and CHARMm format files. If connectivity
  information and/or secondary structure information is not contained in the
  file this is calculated automatically.

    The loaded molecule may be shown as wireframe, cylinder (drieding) stick
  bonds, alpha-carbon trace, spacefilling (CPK) spheres, macromolecular ribbons
  (either smooth shaded solid ribbons or parallel strands), hydrogen bonding
  and dot surface. Different parts of the molecule may be displayed and coloured
  independently of the rest of the molecule or shown in different
  representations simultaneously. The spacefilling spheres can even be
  shadowed. The displayed molecule may be rotated, translated, zoomed,
  z-clipped (slabbed) interactively using either the mouse, the scroll bars,
  the command line or an attached dials box. 

    RasMol can read a prepared list of commands from a `script' file (or via 
  interprocess communication) to allow a given image or viewpoint to be 
  restored quickly. RasMol can also be used to create script files containing
  the commands required to regenerate the current image. Finally the rendered 
  image may be written out in a variety of formats including both raster and 
  vector PostScript, GIF, PPM, BMP, Sun rasterfile or as a MolScript input 
  script.

    RasMol will run on a wide range of architectures and systems including 
  sun3, sun4, sun386i, SGI, DEC, HP and E&S workstations, IBM RS/6000, Cray,
  Sequent, DEC Alpha (OSF/1, OpenVMS and Windows NT), VAX VMS (under DEC 
  Windows), IBM RS/6000, HP and IBM PC (under Microsoft Windows, Windows NT,
  OS/2, Linux, BSD386 and *BSD). Support for an Apple Machintosh version is
  planned for October '94. UNIX and VMS versions require an 8bit, 24bit or
  32bit X Windows frame buffer (X11R4 or later). The X Windows version of
  RasMol provides optional support for a hardware dials box and accelerated
  shared memory rendering (via the XInput and MIT-SHM extensions) if available.

    The complete source code and user documentation may be obtained by
  anonymous FTP from ftp.dcs.ed.ac.uk [129.215.160.5] in the directory
  /pub/rasmol. The source code, documentation and Microsoft Windows
  executables are stored in several files appropriate for the receiving
  operating system. Please read the "README" file in the distribution
  directory. UNIX and VAX systems should retreive either RasMol2.tar.Z,
  RasMol2.tar.gz or rasmol2.zip. Microsoft Windows users should retrieve
  RasWin.zip and optionally the Visual Basic package RasMenu.zip both
  of which contain executable .EXE files. All these files include source 
  code, on-line help, user manual and reference card. Please remember to use 
  "binary" mode when transferring these files between systems. Check that the 
  file size is the same before and after transfer.

MolViewer
---------
From: Steve Ludtke <[email-masked]>

  It is a molecule viewing App for machines running NeXTStep. It
  permits interactive rotation and manipulation (bond lengths, angles, and
  dihedrals) of molecules of arbitrary size (depends on your memory).
  Some special features are included for protein analysis. Proteins can be
  generated from scratch if the program is given an amino acid sequence and
  secondary structure. A variety of animations are supported. Animations and
  printing are generated by NeXT's Photorealistic Renderman daemon. File
  formats supported (to varying degrees) include: PDB, Alchemy, HIN
  (hyperchem), and MolViewer's own file format. It is freeware. Full source
  and binaries can be obtained from ion.rice.edu, sonata.cc.purdue.edu and
  several other popular NeXT sites. The current version is 0.91.

[ I saw it on comp.sys.amiga.applications - added some formatting.
  For the people who wonder - Aminet is an FTP sites organization that
  keeps huge amounts of stuff for the Commodore Amiga ]

From: [email-masked] ( Chris Graham)
=========================

Molec 3D
--------

 This is a non-commerical package.  It models both frame work structures
 (which can be rotated and transformed) and also ball and stick models.  The
 ball and stick pictures are generated from snapshots of the framework model.
 Each ball and stick snapshot takes only about 10-15secs to render even on my
 trusty 1 meg a500.  To construct a model, you need to write a data file which
 contains the xyz coordinates of each atom.  The package is very user friendly
 and the manual is adequate.  Oh yes, also has a built in facility for reading
 your data files back to you. 

 Available for ftp from your local aminet site - Fish disk 482

MoG
---

 This is a commerical package.  It's available from SciTech Software in the
 U.K.  The full address and price, along with a more detailed description of
 the package are in a comp.sys.reviews.amiga article written by Augustus
 Fountain III (he also provides a iff file of morphine which was created on
 MoG).  There is also a demo version floating about as well. I found a copy
 in the hensa micros gopher server, lancs, U.K.  This is a crippled version
 which I was unable to get to do anything other thud up.  More iff files of
 dna and others are included.

Chemesthetics
-------------

 Again non-commerical.  And again you can find this on Aminet on fish disk
 777 (Chemesthetics.lha).  This a rather nice package as well as you build
 carlotte projections (is that spelt right?). Works on the same principle 
 as Molec3D but needs the ionic radius of each atom as well.  Unlike the
 Molec3D package you can actually enter data in the actual package rather than
 having to resort to a text editor.  It does however have one drawback the
 rendering times are fairly long on my amiga at least - about 3 hours for
 250 atoms.  Which I suppose isn't too bad all things considered.

cpk
---

 Bit of a misnomer this one. Only runs on an aga amigas, so I haven't had a
 chance to try it out.  Judging by the descriptions in the readme file and
 emails I've received this sounds excellent.  Arexx support. Again you can get
 this from Aminet (what we do without internet file servers eh - probably buy
 a CD-ROM I suppose).

-----

[ I would also suggest looking at least in SGI's Applications Directory.
 It contains many more packages - nfotis ]

===========================================================================

End of Part 5 of the Resource Listing
-- 
Nick (Nikolaos) Fotis         National Technical Univ. of Athens, Greece
HOME: 16 Esperidon St.,       InterNet : [email-masked]
      Halandri, GR - 152 32   UUCP:    pythia!theseas!nfotis
      Athens, GREECE          FAX: (+30 1) 77 84 578